Version bump.
authorRobin H. Johnson <robbat2@gentoo.org>
Sat, 3 Dec 2011 01:57:16 +0000 (01:57 +0000)
committerRobin H. Johnson <robbat2@gentoo.org>
Sat, 3 Dec 2011 01:57:16 +0000 (01:57 +0000)
Package-Manager: portage-2.2.0_alpha79/cvs/Linux x86_64

dev-vcs/git/ChangeLog
dev-vcs/git/Manifest
dev-vcs/git/git-1.7.8.ebuild [moved from dev-vcs/git/git-1.7.8_rc3.ebuild with 99% similarity]
dev-vcs/git/git-1.7.8_rc1-r1.ebuild [deleted file]
dev-vcs/git/git-1.7.8_rc1.ebuild [deleted file]
dev-vcs/git/git-1.7.8_rc4.ebuild [deleted file]

index 211864ccf481dba0a9fac6f1d204e3c610abc36e..87e66b745e67d09ac9ea119c0e773c325f907a66 100644 (file)
@@ -1,6 +1,13 @@
 # ChangeLog for dev-vcs/git
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/ChangeLog,v 1.111 2011/11/29 00:20:59 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/ChangeLog,v 1.112 2011/12/03 01:57:16 robbat2 Exp $
+
+*git-1.7.8 (03 Dec 2011)
+
+  03 Dec 2011; Robin H. Johnson <robbat2@gentoo.org> -git-1.7.8_rc1.ebuild,
+  -git-1.7.8_rc1-r1.ebuild, -git-1.7.8_rc3.ebuild, -git-1.7.8_rc4.ebuild,
+  +git-1.7.8.ebuild:
+  Version bump.
 
 *git-1.7.8_rc4 (29 Nov 2011)
 
index 0abd8904034875d4a9b5e1502368d8759b50081b..3c051b7b9edb9f2e1981f8c310eaaf05c5b103bb 100644 (file)
@@ -30,9 +30,7 @@ DIST git-1.7.7.2.tar.gz 3483993 RMD160 e1b2bdcf6ff7e206a346f09e7af02250f6e0fc7e
 DIST git-1.7.7.3.tar.gz 3484344 RMD160 638f21de4b834d64788413261ee572264f942f33 SHA1 382ee40da74a1b4a1875820c0f0a35c9ccd750f8 SHA256 dc9d773004cdae17453e330a02de630a1beeeb404d0601b9e8c1aef0a0efd100
 DIST git-1.7.7.4.tar.gz 3484470 RMD160 2820925a7b2e5839bc91f7df511980b41d194e1a SHA1 5b6920989480a37ec65977e756b24961578795dd SHA256 7fa85e04f66cbd358db0ff4939b07cab594f7e3b2f09a26b56c6ffdec649681d
 DIST git-1.7.7.tar.gz 3475448 RMD160 54a185d66fb1f0e1607dc4514640c4b353d2cd1c SHA1 bbf85bd767ca6b7e9caa1489bb4ba7ec64e0ab35 SHA256 5a977bc01e4989b9928345e99aab15ce896cf5897c6e32eb449538574df377f6
-DIST git-1.7.8.rc1.tar.gz 3536204 RMD160 de0c196a5e010954b35b717a6a3512f5674879c6 SHA1 f35e5c4410b21710434cb591f4c89843e75bb793 SHA256 f5ae0ce19d345e1e2680941bfd0404968a649ecdb02c8fce1211283d95a0236b
-DIST git-1.7.8.rc3.tar.gz 3536531 RMD160 64732aa30b2cb8f0e74a8bffcb1df5427a528d0c SHA1 cc142fe293e289e473cd7259c695bb6a4c520fa8 SHA256 155c4ea79cc85376fbccfe968bccfcc6762c32c7ccf4030de6ee5d1d6e99255e
-DIST git-1.7.8.rc4.tar.gz 3538588 RMD160 1eb424e120d0e8a1826ff411699d98f5026b2461 SHA1 528b8099e980877eb7e2268be8afdf12efe13490 SHA256 b11b2b0030cfd4c6a11009badbf5ab00e4c1627bacf0b060caa88923398a83c2
+DIST git-1.7.8.tar.gz 3538330 RMD160 efde5f593ea804a998c4aeebc27ccbc0674596e4 SHA1 7453e737e008f7319a5eca24a9ef3c5fb1f13398 SHA256 ede41a79c83e0d8673ed16c64d5c105e404d953591f9611e44c3964130da0713
 DIST git-htmldocs-1.6.4.5.tar.bz2 772113 RMD160 64b3f689385334d9b101b4bb8647f0fed14bd1fc SHA1 4ac2ede0a3ed82dea9107ff5e4a4948b60282f49 SHA256 12c13ead869918d8470d68c7331675c56a192eae819c283a398aaf9f0f7555d2
 DIST git-htmldocs-1.7.2.5.tar.bz2 919247 RMD160 8ff6503efdb3cfaa639d2acbfaf76dad274aeb8f SHA1 b99f4e9eb620918b68fd98a4a0f0686832799477 SHA256 6b6291ffad4eae80d2739acdffffdd6293b9e50366cfa53ffb0c3a1427700337
 DIST git-htmldocs-1.7.3.4.tar.bz2 929858 RMD160 4183ff0e61885323371b11dfb119bcc718e46a34 SHA1 17cbfcb9b85352777ace4b787e8ff48b6aeee6ab SHA256 24f03bcd6b5c3745c2395cf49260cdbf7fe80292883b0b4da3e1ac636aee6fba
@@ -52,9 +50,7 @@ DIST git-htmldocs-1.7.7.2.tar.gz 1634159 RMD160 66e5a7816ce0660b93edd3d2c3f441eb
 DIST git-htmldocs-1.7.7.3.tar.gz 1660184 RMD160 b3c7e10545bcf896e7294ee4f8c7dcd2c2fb35f4 SHA1 bc0f89cb04e562e4a6d3b936382dbc8f593d861f SHA256 b84992ea9d2dad0ddc643a87f5c463342acd0f9475ecfd082ac5f61b00294dc0
 DIST git-htmldocs-1.7.7.4.tar.gz 1634131 RMD160 3103ecd72a913246ce5f9378c694a0af1cb66862 SHA1 6012cb017a04ded85c48ca5510f741e98c02f671 SHA256 098525f205eb0d35ce7e31f6c48672bf0a54f4fb0f52e9ca4c0e276bf413e367
 DIST git-htmldocs-1.7.7.tar.gz 1391354 RMD160 7e0fb2f27053d97d4945eb2e41080e7f9b31f8e8 SHA1 33183db94fd25e001bd8a9fd6696b992f61e28d8 SHA256 bcb11eda56ac74687cc6852f6ee104ab5dcf13039546616c608783cebc7f4a40
-DIST git-htmldocs-1.7.8.rc1.tar.gz 1694277 RMD160 c5bf09b2d2614df0c018cfb7a36a415a4e8a0598 SHA1 72e27cd397f5ae7b3c9d8bb030a76d7c99cdbb50 SHA256 c841cb7f0238742a99e4e09bb6192c2d27763473383ee145bb4f3067937954d9
-DIST git-htmldocs-1.7.8.rc3.tar.gz 1694634 RMD160 dcf2643db1112954d2ce6d54060e38cf7c1101ff SHA1 9261e59da9da8027204bf45d84a0dd15041ba45d SHA256 f42e5de872d9020d8dde3decc8c6cdd6a73759a15ecbd9c29b5466b85b950501
-DIST git-htmldocs-1.7.8.rc4.tar.gz 1694942 RMD160 5d9f81d6a82a69b9808c59154046f3243761d3e6 SHA1 f775ddd3ee207816840ced38c28d1a400a823536 SHA256 b6e93bd548847b746039d1f816e7860b90a716518797c3ac16bdda56ac167b1d
+DIST git-htmldocs-1.7.8.tar.gz 1694941 RMD160 07344d8dd95f2d72667cf16a4f340aa5cc4c8950 SHA1 2734079e22a0a6e3e78779582be9138ffc7de6f7 SHA256 45b3e3016bd5dbd933bafd5e8091acb0431ff3a63b7fd829e9d9832dde096862
 DIST git-manpages-1.6.4.5.tar.bz2 254368 RMD160 7731d81631ec2c8c33ddc028667eaad79926754b SHA1 905d5e66db1b22b48c1b001d1f5dec830a75dde1 SHA256 f73ae98b0cea0ef6d8f7c8b599d6cad0bdae702b1fe58ad8ebab32a0bb7ba447
 DIST git-manpages-1.7.2.5.tar.bz2 289543 RMD160 b921fa2b5ec47e091987d1122b1c189b4bd87f3b SHA1 735ee1f23428404bdb99d9b0bd1cbb79c9e7afce SHA256 a42a977a1ecfd3cea62e1f02fc89f57029a94f163ff7205f6a56ab4b67d6bd6e
 DIST git-manpages-1.7.3.4.tar.bz2 294381 RMD160 dfd4a4757077290a666ad974585677888f909890 SHA1 c4f93ed1d9892af1174d63743dc578835a6183f1 SHA256 2ff98641bc655b29a7fb72bced46da09c99b6fad3b651722b7b8057df4a9ce75
@@ -74,9 +70,7 @@ DIST git-manpages-1.7.7.2.tar.gz 474637 RMD160 dd5b397967c20702922c01d145d36ea04
 DIST git-manpages-1.7.7.3.tar.gz 475209 RMD160 99ea33e5d21d8daae28c23a9850016bc5e3975a8 SHA1 cf1b0d35e2d242bc4cffce3b2bf5b3e32857b395 SHA256 62bec01d704d3495fcf66a3b97a8fb7c337a06202784fa7a7fa510360e79671f
 DIST git-manpages-1.7.7.4.tar.gz 474588 RMD160 32b7d50be70fc6960bef6ea4e6fc9d62625e44b6 SHA1 cb21e55ae793865453c165a0e666348f2db8c740 SHA256 ac500a0e6da6dcf449e20c3a819f0bcb1b4be1d4169ad38d8631411d5b4a99c2
 DIST git-manpages-1.7.7.tar.gz 476036 RMD160 4bc0504533df3c956e9ad5133e6bd8bfca980007 SHA1 75d3cceb46f7a46eeb825033dff76af5eb5ea3d9 SHA256 dde1ffaee0d90cce80f98126c5d9013c6687dc6f0b26bd12d61e229346701ecb
-DIST git-manpages-1.7.8.rc1.tar.gz 497264 RMD160 a0da361fafc53fdccb12d6d8586657efc5eba3fe SHA1 95429858e879df3f9425cf1279e03cdec7832379 SHA256 20f63b8b0be15be013dd762fd86a832245ce0363b1ee785f0490b22dc62a8ab5
-DIST git-manpages-1.7.8.rc3.tar.gz 497231 RMD160 83daa401572f75c0dc0bd1e873007cebe3016b8e SHA1 d01b5cc48ab5e5a3eea7aa8fd575b4943e36a78d SHA256 e53c566f4a57501565df02fc7c75ad57ef347a059e58c7d04a66f904f8e6399e
-DIST git-manpages-1.7.8.rc4.tar.gz 497247 RMD160 79687944d1266b9a6330ae9fbe3e711410da33de SHA1 b35301ed60712f441a9c3af08446184faf624d51 SHA256 8ccc0cade5c4b9c3fc0835d9c8766a6d24bf082e5833c00bdbd6092fcfac1e74
+DIST git-manpages-1.7.8.tar.gz 496974 RMD160 ee09c9a1c80fe46ca3a6787ea30eadeddee2a9a0 SHA1 93315f7f51d7f27d3e421c9b0d64afa27f3d16df SHA256 f67d593f5aecd01ec42683cff515172c67f79109161629621e9df58e39ef5354
 EBUILD git-1.6.4.5.ebuild 10406 RMD160 974979cc54ba06659818d908b6a4fc37a2e463a1 SHA1 f5b78964fcc68509bd32baffef8016c9ad710bcc SHA256 186e72aa90b3c98448a64b7ae718772675a601c80091509b1ccce44c824830e1
 EBUILD git-1.7.2.5.ebuild 13520 RMD160 9411dac852204b7446bcbaddf3c96ac25f3b6028 SHA1 7fcbba3389a5f8dd1fbf2ed228285d4351b4d000 SHA256 666e01293c6884d6ac11578b45f1fdcdf298cdb6d194c249f8e993d6c1b27343
 EBUILD git-1.7.3.4-r1.ebuild 14029 RMD160 217641ce0f1d00817a1c8bd70d5e7dc422f886fc SHA1 45c8c571e45e46c01f851ef7e1b4281665ccb54a SHA256 9d0c67c61774f8f1f644b182c551d53bdf305dffaad390d0f0aa3cc048c4f662
@@ -99,10 +93,7 @@ EBUILD git-1.7.7.2.ebuild 15077 RMD160 24c5236750944397beb08075235fb7e3533dd2e4
 EBUILD git-1.7.7.3.ebuild 15077 RMD160 754169bf44d82b9b09f1dd264765db96556c7bf0 SHA1 4d844ea036d13a4cf0e1d815148e4554b9e84482 SHA256 0626a82fd82009410f4c534085ff5b347469cca38c13f1fa2180e77a8fde7aa5
 EBUILD git-1.7.7.4.ebuild 15110 RMD160 ca05171ef283fc2f2ca7aba269b5ab81df3caa5f SHA1 5fc5469205202529e564eab8fbbcc5db9ebfc2b5 SHA256 823060e66280666af58c4d21039b3d99627597dc9ec75ce03b73da273c1fa76d
 EBUILD git-1.7.7.ebuild 15326 RMD160 5f39dfa80ccc9fda4d6703ab80a1d59f59d57fae SHA1 4ded9f027285f2120e3b5f21dcedf79609a84e3a SHA256 9b80650981329a3dde5f752657948e64a0f042e3742cd4f39dcc115994bceb24
-EBUILD git-1.7.8_rc1-r1.ebuild 15115 RMD160 a30d1c3408b9435637586284151c36327378ba8f SHA1 0f93e9147fe08c0aa735b9e1b69c3c2c9101154b SHA256 661dbfa1f965e81e565733b077d3469e9c3a5e41fbf34899a06169fd8160edc3
-EBUILD git-1.7.8_rc1.ebuild 15079 RMD160 91d17b1710d77344f8b8c2b78cecd6c6aedce0f6 SHA1 be79f197f75222e00d2349a1c6ad9a5c96defac3 SHA256 5e03afc837bdd011f51e5eaab45a45d4ecacb8044f6eb77ce7c0117357725c7c
-EBUILD git-1.7.8_rc3.ebuild 15112 RMD160 6feda3a5dc56e1cb1a563dd2d503bbddddf4b7d3 SHA1 3b4f425b18653f60431a72598448dfa190e39d0d SHA256 e61b619ee29760038f414350e5c62a4cab46140cb1cb5912d7d20c44747833d3
-EBUILD git-1.7.8_rc4.ebuild 15112 RMD160 81b7efffa35d9ee96a6bd69879e233a6e13a0856 SHA1 458c2edac479c95f0b5c8e16a328d9b1304f4e8b SHA256 2b56463d68932407ab1f99605964bbe52a4a034f1bdd958a55bfae671566df17
+EBUILD git-1.7.8.ebuild 15108 RMD160 bbf80a4cdc89f02f98a0fab0c514b84adae71f7b SHA1 59459055b38ac4560ca487fcf2c4551739957725 SHA256 ada91dcf9536675492ac599fda7072b47a135356180c36b04ed8210dc0070760
 EBUILD git-9999.ebuild 15075 RMD160 263565eec62e6fea167127dbcc245a0bc6075b5d SHA1 e7db98316bbac2f42a64d1f4d04d0b920de2bba0 SHA256 e0f23e05269d7736c5ce4797c3c9a7eae906f7f6e9109745a9d3f48fb96beb76
-MISC ChangeLog 83986 RMD160 9ceda57f7e9dbb60cc80266b63e9510f02c3faae SHA1 e128cac872b1441e54c5a68919dd01db1743472a SHA256 aefbedf16f764f1eee44103a873adc2c5c9cf6c26db3111fc9ce10074a92d4a9
+MISC ChangeLog 84200 RMD160 8e8d8d657467818f8eb00d64946f9ed3b1772cb3 SHA1 ef8e9e6249a2a29c6f5ae3df2ac827b924fd6936 SHA256 cb2fce0300095bb21ecd3d2e49459397961889e3cd524b7cf6dcbb1389b3b45c
 MISC metadata.xml 1519 RMD160 4ba9e2c4e8239f644b1f4a82bc47d1b587e195a6 SHA1 813d8c8015a1cb757e54fa8681f8a7686cfc40e7 SHA256 58313781f3108991fee93cb0119e6720fe895487e43d44dbf96c4733f81854ca
similarity index 99%
rename from dev-vcs/git/git-1.7.8_rc3.ebuild
rename to dev-vcs/git/git-1.7.8.ebuild
index 302a20c44f1edcf3dd22aa21dfba69bb2777b08b..5e28847e82ee5652276106f3a66203a0d9dd5b71 100644 (file)
@@ -1,6 +1,6 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/git-1.7.8_rc3.ebuild,v 1.1 2011/11/17 22:28:24 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/git-1.7.8.ebuild,v 1.1 2011/12/03 01:57:16 robbat2 Exp $
 
 EAPI=4
 
diff --git a/dev-vcs/git/git-1.7.8_rc1-r1.ebuild b/dev-vcs/git/git-1.7.8_rc1-r1.ebuild
deleted file mode 100644 (file)
index 05d249b..0000000
+++ /dev/null
@@ -1,527 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/git-1.7.8_rc1-r1.ebuild,v 1.1 2011/11/16 22:06:45 robbat2 Exp $
-
-EAPI=4
-
-GENTOO_DEPEND_ON_PERL=no
-
-# bug #329479: git-remote-testgit is not multiple-version aware
-PYTHON_DEPEND="python? 2"
-[[ ${PV} == *9999 ]] && SCM="git-2"
-EGIT_REPO_URI="git://git.kernel.org/pub/scm/git/git.git"
-
-inherit toolchain-funcs eutils elisp-common perl-module bash-completion-r1 python ${SCM}
-
-MY_PV="${PV/_rc/.rc}"
-MY_P="${PN}-${MY_PV}"
-
-DOC_VER=${MY_PV}
-
-DESCRIPTION="GIT - the stupid content tracker, the revision control system heavily used by the Linux kernel team"
-HOMEPAGE="http://www.git-scm.com/"
-if [[ ${PV} != *9999 ]]; then
-       SRC_URI_SUFFIX="gz"
-       SRC_URI_GOOG="http://git-core.googlecode.com/files"
-       SRC_URI_KORG="mirror://kernel/software/scm/git"
-       SRC_URI="${SRC_URI_GOOG}/${MY_P}.tar.${SRC_URI_SUFFIX}
-                       ${SRC_URI_KORG}/${MY_P}.tar.${SRC_URI_SUFFIX}
-                       ${SRC_URI_GOOG}/${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-                       ${SRC_URI_KORG}/${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-                       doc? (
-                       ${SRC_URI_KORG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-                       ${SRC_URI_GOOG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-                       )"
-       KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-else
-       SRC_URI=""
-       KEYWORDS=""
-fi
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="+blksha1 +curl cgi doc emacs gtk iconv +perl +python ppcsha1 tk +threads +webdav xinetd cvs subversion"
-
-# Common to both DEPEND and RDEPEND
-CDEPEND="
-       !blksha1? ( dev-libs/openssl )
-       sys-libs/zlib
-       perl?   ( dev-lang/perl[-build] dev-libs/libpcre )
-       tk?     ( dev-lang/tk )
-       curl?   (
-               net-misc/curl
-               webdav? ( dev-libs/expat )
-       )
-       emacs?  ( virtual/emacs )"
-
-RDEPEND="${CDEPEND}
-       perl? ( dev-perl/Error
-                       dev-perl/Net-SMTP-SSL
-                       dev-perl/Authen-SASL
-                       cgi? ( virtual/perl-CGI )
-                       cvs? ( >=dev-vcs/cvsps-2.1 dev-perl/DBI dev-perl/DBD-SQLite )
-                       subversion? ( dev-vcs/subversion[-dso,perl] dev-perl/libwww-perl dev-perl/TermReadKey )
-                       )
-       python? ( gtk?
-       (
-               >=dev-python/pygtk-2.8
-               dev-python/pygtksourceview:2
-       ) )"
-
-# This is how info docs are created with Git:
-#   .txt/asciidoc --(asciidoc)---------> .xml/docbook
-#   .xml/docbook  --(docbook2texi.pl)--> .texi
-#   .texi         --(makeinfo)---------> .info
-DEPEND="${CDEPEND}
-       app-arch/cpio
-       doc?    (
-               app-text/asciidoc
-               app-text/docbook2X
-               sys-apps/texinfo
-       )"
-
-# Live ebuild builds man pages and HTML docs, additionally
-if [[ ${PV} == *9999 ]]; then
-       DEPEND="${DEPEND}
-               app-text/asciidoc
-               app-text/xmlto"
-fi
-
-SITEFILE=50${PN}-gentoo.el
-S="${WORKDIR}/${MY_P}"
-
-REQUIRED_USE="
-       cgi? ( perl )
-       cvs? ( perl )
-       subversion? ( perl )
-       webdav? ( curl )
-"
-
-pkg_setup() {
-       if use subversion && has_version dev-vcs/subversion && built_with_use --missing false dev-vcs/subversion dso ; then
-               ewarn "Per Gentoo bugs #223747, #238586, when subversion is built"
-               ewarn "with USE=dso, there may be weird crashes in git-svn. You"
-               ewarn "have been warned."
-       fi
-       if use python ; then
-               python_set_active_version 2
-               python_pkg_setup
-       fi
-}
-
-# This is needed because for some obscure reasons future calls to make don't
-# pick up these exports if we export them in src_unpack()
-exportmakeopts() {
-       local myopts
-
-       if use blksha1 ; then
-               myopts="${myopts} BLK_SHA1=YesPlease"
-       elif use ppcsha1 ; then
-               myopts="${myopts} PPC_SHA1=YesPlease"
-       fi
-
-       if use curl ; then
-               use webdav || myopts="${myopts} NO_EXPAT=YesPlease"
-       else
-               myopts="${myopts} NO_CURL=YesPlease"
-       fi
-
-       # broken assumptions, because of broken build system ...
-       myopts="${myopts} NO_FINK=YesPlease NO_DARWIN_PORTS=YesPlease"
-       myopts="${myopts} INSTALL=install TAR=tar"
-       myopts="${myopts} SHELL_PATH=${EPREFIX}/bin/sh"
-       myopts="${myopts} SANE_TOOL_PATH="
-       myopts="${myopts} OLD_ICONV="
-       myopts="${myopts} NO_EXTERNAL_GREP="
-
-       # can't define this to null, since the entire makefile depends on it
-       sed -i -e '/\/usr\/local/s/BASIC_/#BASIC_/' Makefile
-
-       use iconv \
-               || einfo "Forcing iconv for ${PVR} due to bugs #321895, #322205."
-       #       || myopts="${myopts} NO_ICONV=YesPlease"
-       # because, above, we need to do this unconditionally (no "&& use iconv")
-       use !elibc_glibc && myopts="${myopts} NEEDS_LIBICONV=YesPlease"
-
-       use tk \
-               || myopts="${myopts} NO_TCLTK=YesPlease"
-       use perl \
-               && myopts="${myopts} INSTALLDIRS=vendor USE_LIBPCRE=yes" \
-               || myopts="${myopts} NO_PERL=YesPlease"
-       use python \
-               || myopts="${myopts} NO_PYTHON=YesPlease"
-       use subversion \
-               || myopts="${myopts} NO_SVN_TESTS=YesPlease"
-       use threads \
-               && myopts="${myopts} THREADED_DELTA_SEARCH=YesPlease"
-       use cvs \
-               || myopts="${myopts} NO_CVS=YesPlease"
-# Disabled until ~m68k-mint can be keyworded again
-#      if [[ ${CHOST} == *-mint* ]] ; then
-#              myopts="${myopts} NO_MMAP=YesPlease"
-#              myopts="${myopts} NO_IPV6=YesPlease"
-#              myopts="${myopts} NO_STRLCPY=YesPlease"
-#              myopts="${myopts} NO_MEMMEM=YesPlease"
-#              myopts="${myopts} NO_MKDTEMP=YesPlease"
-#              myopts="${myopts} NO_MKSTEMPS=YesPlease"
-#      fi
-       if [[ ${CHOST} == ia64-*-hpux* ]]; then
-               myopts="${myopts} NO_NSEC=YesPlease"
-       fi
-       if [[ ${CHOST} == *-*-aix* ]]; then
-               myopts="${myopts} NO_FNMATCH_CASEFOLD=YesPlease"
-       fi
-
-       has_version '>=app-text/asciidoc-8.0' \
-               && myopts="${myopts} ASCIIDOC8=YesPlease"
-       myopts="${myopts} ASCIIDOC_NO_ROFF=YesPlease"
-
-       # Bug 290465:
-       # builtin-fetch-pack.c:816: error: 'struct stat' has no member named 'st_mtim'
-       [[ "${CHOST}" == *-uclibc* ]] && \
-               myopts="${myopts} NO_NSEC=YesPlease"
-
-       export MY_MAKEOPTS="${myopts}"
-}
-
-src_unpack() {
-       if [[ ${PV} != *9999 ]]; then
-               unpack ${MY_P}.tar.${SRC_URI_SUFFIX}
-               cd "${S}"
-               unpack ${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-               use doc && \
-                       cd "${S}"/Documentation && \
-                       unpack ${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-               cd "${S}"
-       else
-               git-2_src_unpack
-               cd "${S}"
-               #cp "${FILESDIR}"/GIT-VERSION-GEN .
-       fi
-
-}
-
-src_prepare() {
-       # Noperl is being merged to upstream as of 2009/04/05
-       #epatch "${FILESDIR}"/20090305-git-1.6.2-noperl.patch
-
-       # GetOpt-Long v2.38 is strict
-       # Merged in 1.6.3 final 2009/05/07
-       #epatch "${FILESDIR}"/20090505-git-1.6.2.5-getopt-fixes.patch
-
-       # JS install fixup
-       # Merged in 1.7.5.x
-       #epatch "${FILESDIR}"/git-1.7.2-always-install-js.patch
-
-       # USE=-iconv causes segfaults, fixed post 1.7.1
-       # Gentoo bug #321895
-       #epatch "${FILESDIR}"/git-1.7.1-noiconv-segfault-fix.patch
-
-       # Fix false positives with t3404 due to SHELL=/bin/false for the portage
-       # user.
-       # Merged upstream
-       #epatch "${FILESDIR}"/git-1.7.3.4-avoid-shell-issues.patch
-
-       # bug #350075: t9001: fix missing prereq on some tests
-       # Merged upstream
-       #epatch "${FILESDIR}"/git-1.7.3.4-fix-perl-test-prereq.patch
-
-       # bug #350330 - automagic CVS when we don't want it is bad.
-       epatch "${FILESDIR}"/git-1.7.3.5-optional-cvs.patch
-
-       sed -i \
-               -e 's:^\(CFLAGS =\).*$:\1 $(OPTCFLAGS) -Wall:' \
-               -e 's:^\(LDFLAGS =\).*$:\1 $(OPTLDFLAGS):' \
-               -e 's:^\(CC = \).*$:\1$(OPTCC):' \
-               -e 's:^\(AR = \).*$:\1$(OPTAR):' \
-               -e "s:\(PYTHON_PATH = \)\(.*\)$:\1${EPREFIX}\2:" \
-               -e "s:\(PERL_PATH = \)\(.*\)$:\1${EPREFIX}\2:" \
-               Makefile || die "sed failed"
-
-       # Never install the private copy of Error.pm (bug #296310)
-       sed -i \
-               -e '/private-Error.pm/s,^,#,' \
-               perl/Makefile.PL
-
-       # Fix docbook2texi command
-       sed -i 's/DOCBOOK2X_TEXI=docbook2x-texi/DOCBOOK2X_TEXI=docbook2texi.pl/' \
-               Documentation/Makefile || die "sed failed"
-
-       # bug #318289
-       # Merged upstream
-       #epatch "${FILESDIR}"/git-1.7.3.2-interix.patch
-
-       # merged upstream
-       #epatch "${FILESDIR}"/git-1.7.5-interix.patch
-
-       # merged upstream
-       #epatch "${FILESDIR}"/git-1.7.6-interix.patch
-}
-
-git_emake() {
-       # bug #326625: PERL_PATH, PERL_MM_OPT
-       # bug #320647: PYTHON_PATH
-       PYTHON_PATH=""
-       use python && PYTHON_PATH="$(PYTHON -a)"
-       emake ${MY_MAKEOPTS} \
-               DESTDIR="${D}" \
-               OPTCFLAGS="${CFLAGS}" \
-               OPTLDFLAGS="${LDFLAGS}" \
-               OPTCC="$(tc-getCC)" \
-               OPTAR="$(tc-getAR)" \
-               prefix="${EPREFIX}"/usr \
-               htmldir="${EPREFIX}"/usr/share/doc/${PF}/html \
-               sysconfdir="${EPREFIX}"/etc \
-               PYTHON_PATH="${PYTHON_PATH}" \
-               PERL_MM_OPT="" \
-               GIT_TEST_OPTS="--no-color" \
-               "$@"
-       # This is the fix for bug #326625, but it also causes breakage, see bug
-       # #352693.
-       # PERL_PATH="${EPREFIX}/usr/bin/env perl" \
-}
-
-src_configure() {
-       exportmakeopts
-}
-
-src_compile() {
-       git_emake || die "emake failed"
-
-       if use emacs ; then
-               elisp-compile contrib/emacs/git{,-blame}.el \
-                       || die "emacs modules failed"
-       fi
-
-       if use perl && use cgi ; then
-               git_emake \
-                       gitweb/gitweb.cgi \
-                       || die "emake gitweb/gitweb.cgi failed"
-       fi
-
-       cd "${S}"/Documentation
-       if [[ ${PV} == *9999 ]] ; then
-               git_emake man \
-                       || die "emake man failed"
-               if use doc ; then
-                       git_emake info html \
-                               || die "emake info html failed"
-               fi
-       else
-               if use doc ; then
-                       git_emake info \
-                               || die "emake info html failed"
-               fi
-       fi
-}
-
-src_install() {
-       git_emake \
-               install || \
-               die "make install failed"
-
-       # Depending on the tarball and manual rebuild of the documentation, the
-       # manpages may exist in either OR both of these directories.
-       find man?/*.[157] >/dev/null 2>&1 && doman man?/*.[157]
-       find Documentation/*.[157] >/dev/null 2>&1 && doman Documentation/*.[157]
-
-       dodoc README Documentation/{SubmittingPatches,CodingGuidelines}
-       use doc && dodir /usr/share/doc/${PF}/html
-       for d in / /howto/ /technical/ ; do
-               docinto ${d}
-               dodoc Documentation${d}*.txt
-               use doc && dohtml -p ${d} Documentation${d}*.html
-       done
-       docinto /
-       # Upstream does not ship this pre-built :-(
-       use doc && doinfo Documentation/{git,gitman}.info
-
-       newbashcomp contrib/completion/git-completion.bash ${PN}
-
-       if use emacs ; then
-               elisp-install ${PN} contrib/emacs/git.{el,elc} || die
-               elisp-install ${PN} contrib/emacs/git-blame.{el,elc} || die
-               #elisp-install ${PN}/compat contrib/emacs/vc-git.{el,elc} || die
-               # don't add automatically to the load-path, so the sitefile
-               # can do a conditional loading
-               touch "${ED}${SITELISP}/${PN}/compat/.nosearch"
-               elisp-site-file-install "${FILESDIR}"/${SITEFILE} || die
-       fi
-
-       if use python && use gtk ; then
-               dobin "${S}"/contrib/gitview/gitview
-               python_convert_shebangs ${PYTHON_ABI} "${ED}"/usr/bin/gitview
-               dodoc "${S}"/contrib/gitview/gitview.txt
-       fi
-
-       dobin contrib/fast-import/git-p4
-       dodoc contrib/fast-import/git-p4.txt
-       newbin contrib/fast-import/import-tars.perl import-tars
-       newbin contrib/git-resurrect.sh git-resurrect
-
-       dodir /usr/share/${PN}/contrib
-       # The following are excluded:
-       # completion - installed above
-       # emacs - installed above
-       # examples - these are stuff that is not used in Git anymore actually
-       # gitview - installed above
-       # p4import - excluded because fast-import has a better one
-       # patches - stuff the Git guys made to go upstream to other places
-       # svnimport - use git-svn
-       # thunderbird-patch-inline - fixes thunderbird
-       for i in \
-               blameview buildsystems ciabot continuous convert-objects fast-import \
-               hg-to-git hooks remotes2config.sh remotes2config.sh rerere-train.sh \
-               stats svn-fe vim workdir \
-               ; do
-               cp -rf \
-                       "${S}"/contrib/${i} \
-                       "${ED}"/usr/share/${PN}/contrib \
-                       || die "Failed contrib ${i}"
-       done
-
-       if use perl && use cgi ; then
-               # We used to install in /usr/share/${PN}/gitweb
-               # but upstream installs in /usr/share/gitweb
-               # so we will install a symlink and use their location for compat with other
-               # distros
-               dosym /usr/share/gitweb /usr/share/${PN}/gitweb
-
-               # INSTALL discusses configuration issues, not just installation
-               docinto /
-               newdoc  "${S}"/gitweb/INSTALL INSTALL.gitweb
-               newdoc  "${S}"/gitweb/README README.gitweb
-
-               find "${ED}"/usr/lib64/perl5/ \
-                       -name .packlist \
-                       -exec rm \{\} \;
-       else
-               rm -rf "${ED}"/usr/share/gitweb
-       fi
-
-       if ! use subversion ; then
-               rm -f "${ED}"/usr/libexec/git-core/git-svn \
-                       "${ED}"/usr/share/man/man1/git-svn.1*
-       fi
-
-       if use xinetd ; then
-               insinto /etc/xinetd.d
-               newins "${FILESDIR}"/git-daemon.xinetd git-daemon
-       fi
-
-       newinitd "${FILESDIR}"/git-daemon.initd git-daemon
-       newconfd "${FILESDIR}"/git-daemon.confd git-daemon
-
-       fixlocalpod
-}
-
-src_test() {
-       local disabled=""
-       local tests_cvs="t9200-git-cvsexportcommit.sh \
-                                       t9400-git-cvsserver-server.sh \
-                                       t9401-git-cvsserver-crlf.sh \
-                                       t9600-cvsimport.sh \
-                                       t9601-cvsimport-vendor-branch.sh \
-                                       t9602-cvsimport-branches-tags.sh \
-                                       t9603-cvsimport-patchsets.sh"
-       local tests_perl="t5502-quickfetch.sh \
-                                       t5512-ls-remote.sh \
-                                       t5520-pull.sh"
-       # Bug #225601 - t0004 is not suitable for root perm
-       # Bug #219839 - t1004 is not suitable for root perm
-       # t0001-init.sh - check for init notices EPERM*  fails
-       local tests_nonroot="t0001-init.sh \
-               t0004-unwritable.sh \
-               t0070-fundamental.sh \
-               t1004-read-tree-m-u-wf.sh \
-               t3700-add.sh \
-               t7300-clean.sh"
-
-       # Unzip is used only for the testcase code, not by any normal parts of Git.
-       if ! has_version app-arch/unzip ; then
-               einfo "Disabling tar-tree tests"
-               disabled="${disabled} t5000-tar-tree.sh"
-       fi
-
-       cvs=0
-       use cvs && let cvs=$cvs+1
-       if [[ ${EUID} -eq 0 ]]; then
-               if [[ $cvs -eq 1 ]]; then
-                       ewarn "Skipping CVS tests because CVS does not work as root!"
-                       ewarn "You should retest with FEATURES=userpriv!"
-                       disabled="${disabled} ${tests_cvs}"
-               fi
-               einfo "Skipping other tests that require being non-root"
-               disabled="${disabled} ${tests_nonroot}"
-       else
-               [[ $cvs -gt 0 ]] && \
-                       has_version dev-vcs/cvs && \
-                       let cvs=$cvs+1
-               [[ $cvs -gt 1 ]] && \
-                       built_with_use dev-vcs/cvs server && \
-                       let cvs=$cvs+1
-               if [[ $cvs -lt 3 ]]; then
-                       einfo "Disabling CVS tests (needs dev-vcs/cvs[USE=server])"
-                       disabled="${disabled} ${tests_cvs}"
-               fi
-       fi
-
-       if ! use perl ; then
-               einfo "Disabling tests that need Perl"
-               disabled="${disabled} ${tests_perl}"
-       fi
-
-       # Reset all previously disabled tests
-       cd "${S}/t"
-       for i in *.sh.DISABLED ; do
-               [[ -f "${i}" ]] && mv -f "${i}" "${i%.DISABLED}"
-       done
-       einfo "Disabled tests:"
-       for i in ${disabled} ; do
-               [[ -f "${i}" ]] && mv -f "${i}" "${i}.DISABLED" && einfo "Disabled $i"
-       done
-
-       # Avoid the test system removing the results because we want them ourselves
-       sed -e '/^[[:space:]]*$(MAKE) clean/s,^,#,g' \
-               -i "${S}"/t/Makefile
-
-       # Clean old results first
-       cd "${S}/t"
-       git_emake clean
-
-       # Now run the tests
-       cd "${S}"
-       einfo "Start test run"
-       git_emake test
-       rc=$?
-
-       # Display nice results
-       cd "${S}/t"
-       git_emake aggregate-results
-
-       # And exit
-       [ $rc -eq 0 ] || die "tests failed. Please file a bug."
-}
-
-showpkgdeps() {
-       local pkg=$1
-       shift
-       elog "  $(printf "%-17s:" ${pkg}) ${@}"
-}
-
-pkg_postinst() {
-       use emacs && elisp-site-regen
-       use python && python_mod_optimize git_remote_helpers
-               einfo "Please read /usr/share/bash-completion/git for Git bash completion"
-       elog "These additional scripts need some dependencies:"
-       echo
-       showpkgdeps git-quiltimport "dev-util/quilt"
-       showpkgdeps git-instaweb \
-               "|| ( www-servers/lighttpd www-servers/apache )"
-       echo
-}
-
-pkg_postrm() {
-       use emacs && elisp-site-regen
-       use python && python_mod_cleanup git_remote_helpers
-}
diff --git a/dev-vcs/git/git-1.7.8_rc1.ebuild b/dev-vcs/git/git-1.7.8_rc1.ebuild
deleted file mode 100644 (file)
index de06b00..0000000
+++ /dev/null
@@ -1,527 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/git-1.7.8_rc1.ebuild,v 1.1 2011/11/08 04:00:35 robbat2 Exp $
-
-EAPI=4
-
-GENTOO_DEPEND_ON_PERL=no
-
-# bug #329479: git-remote-testgit is not multiple-version aware
-PYTHON_DEPEND="python? 2"
-[[ ${PV} == *9999 ]] && SCM="git-2"
-EGIT_REPO_URI="git://git.kernel.org/pub/scm/git/git.git"
-
-inherit toolchain-funcs eutils elisp-common perl-module bash-completion-r1 python ${SCM}
-
-MY_PV="${PV/_rc/.rc}"
-MY_P="${PN}-${MY_PV}"
-
-DOC_VER=${MY_PV}
-
-DESCRIPTION="GIT - the stupid content tracker, the revision control system heavily used by the Linux kernel team"
-HOMEPAGE="http://www.git-scm.com/"
-if [[ ${PV} != *9999 ]]; then
-       SRC_URI_SUFFIX="gz"
-       SRC_URI_GOOG="http://git-core.googlecode.com/files"
-       SRC_URI_KORG="mirror://kernel/software/scm/git"
-       SRC_URI="${SRC_URI_GOOG}/${MY_P}.tar.${SRC_URI_SUFFIX}
-                       ${SRC_URI_KORG}/${MY_P}.tar.${SRC_URI_SUFFIX}
-                       ${SRC_URI_GOOG}/${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-                       ${SRC_URI_KORG}/${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-                       doc? (
-                       ${SRC_URI_KORG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-                       ${SRC_URI_GOOG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-                       )"
-       KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-else
-       SRC_URI=""
-       KEYWORDS=""
-fi
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="+blksha1 +curl cgi doc emacs gtk iconv +perl +python ppcsha1 tk +threads +webdav xinetd cvs subversion"
-
-# Common to both DEPEND and RDEPEND
-CDEPEND="
-       !blksha1? ( dev-libs/openssl )
-       sys-libs/zlib
-       perl?   ( dev-lang/perl[-build] )
-       tk?     ( dev-lang/tk )
-       curl?   (
-               net-misc/curl
-               webdav? ( dev-libs/expat )
-       )
-       emacs?  ( virtual/emacs )"
-
-RDEPEND="${CDEPEND}
-       perl? ( dev-perl/Error
-                       dev-perl/Net-SMTP-SSL
-                       dev-perl/Authen-SASL
-                       cgi? ( virtual/perl-CGI )
-                       cvs? ( >=dev-vcs/cvsps-2.1 dev-perl/DBI dev-perl/DBD-SQLite )
-                       subversion? ( dev-vcs/subversion[-dso,perl] dev-perl/libwww-perl dev-perl/TermReadKey )
-                       )
-       python? ( gtk?
-       (
-               >=dev-python/pygtk-2.8
-               dev-python/pygtksourceview:2
-       ) )"
-
-# This is how info docs are created with Git:
-#   .txt/asciidoc --(asciidoc)---------> .xml/docbook
-#   .xml/docbook  --(docbook2texi.pl)--> .texi
-#   .texi         --(makeinfo)---------> .info
-DEPEND="${CDEPEND}
-       app-arch/cpio
-       doc?    (
-               app-text/asciidoc
-               app-text/docbook2X
-               sys-apps/texinfo
-       )"
-
-# Live ebuild builds man pages and HTML docs, additionally
-if [[ ${PV} == *9999 ]]; then
-       DEPEND="${DEPEND}
-               app-text/asciidoc
-               app-text/xmlto"
-fi
-
-SITEFILE=50${PN}-gentoo.el
-S="${WORKDIR}/${MY_P}"
-
-REQUIRED_USE="
-       cgi? ( perl )
-       cvs? ( perl )
-       subversion? ( perl )
-       webdav? ( curl )
-"
-
-pkg_setup() {
-       if use subversion && has_version dev-vcs/subversion && built_with_use --missing false dev-vcs/subversion dso ; then
-               ewarn "Per Gentoo bugs #223747, #238586, when subversion is built"
-               ewarn "with USE=dso, there may be weird crashes in git-svn. You"
-               ewarn "have been warned."
-       fi
-       if use python ; then
-               python_set_active_version 2
-               python_pkg_setup
-       fi
-}
-
-# This is needed because for some obscure reasons future calls to make don't
-# pick up these exports if we export them in src_unpack()
-exportmakeopts() {
-       local myopts
-
-       if use blksha1 ; then
-               myopts="${myopts} BLK_SHA1=YesPlease"
-       elif use ppcsha1 ; then
-               myopts="${myopts} PPC_SHA1=YesPlease"
-       fi
-
-       if use curl ; then
-               use webdav || myopts="${myopts} NO_EXPAT=YesPlease"
-       else
-               myopts="${myopts} NO_CURL=YesPlease"
-       fi
-
-       # broken assumptions, because of broken build system ...
-       myopts="${myopts} NO_FINK=YesPlease NO_DARWIN_PORTS=YesPlease"
-       myopts="${myopts} INSTALL=install TAR=tar"
-       myopts="${myopts} SHELL_PATH=${EPREFIX}/bin/sh"
-       myopts="${myopts} SANE_TOOL_PATH="
-       myopts="${myopts} OLD_ICONV="
-       myopts="${myopts} NO_EXTERNAL_GREP="
-
-       # can't define this to null, since the entire makefile depends on it
-       sed -i -e '/\/usr\/local/s/BASIC_/#BASIC_/' Makefile
-
-       use iconv \
-               || einfo "Forcing iconv for ${PVR} due to bugs #321895, #322205."
-       #       || myopts="${myopts} NO_ICONV=YesPlease"
-       # because, above, we need to do this unconditionally (no "&& use iconv")
-       use !elibc_glibc && myopts="${myopts} NEEDS_LIBICONV=YesPlease"
-
-       use tk \
-               || myopts="${myopts} NO_TCLTK=YesPlease"
-       use perl \
-               && myopts="${myopts} INSTALLDIRS=vendor" \
-               || myopts="${myopts} NO_PERL=YesPlease"
-       use python \
-               || myopts="${myopts} NO_PYTHON=YesPlease"
-       use subversion \
-               || myopts="${myopts} NO_SVN_TESTS=YesPlease"
-       use threads \
-               && myopts="${myopts} THREADED_DELTA_SEARCH=YesPlease"
-       use cvs \
-               || myopts="${myopts} NO_CVS=YesPlease"
-# Disabled until ~m68k-mint can be keyworded again
-#      if [[ ${CHOST} == *-mint* ]] ; then
-#              myopts="${myopts} NO_MMAP=YesPlease"
-#              myopts="${myopts} NO_IPV6=YesPlease"
-#              myopts="${myopts} NO_STRLCPY=YesPlease"
-#              myopts="${myopts} NO_MEMMEM=YesPlease"
-#              myopts="${myopts} NO_MKDTEMP=YesPlease"
-#              myopts="${myopts} NO_MKSTEMPS=YesPlease"
-#      fi
-       if [[ ${CHOST} == ia64-*-hpux* ]]; then
-               myopts="${myopts} NO_NSEC=YesPlease"
-       fi
-       if [[ ${CHOST} == *-*-aix* ]]; then
-               myopts="${myopts} NO_FNMATCH_CASEFOLD=YesPlease"
-       fi
-
-       has_version '>=app-text/asciidoc-8.0' \
-               && myopts="${myopts} ASCIIDOC8=YesPlease"
-       myopts="${myopts} ASCIIDOC_NO_ROFF=YesPlease"
-
-       # Bug 290465:
-       # builtin-fetch-pack.c:816: error: 'struct stat' has no member named 'st_mtim'
-       [[ "${CHOST}" == *-uclibc* ]] && \
-               myopts="${myopts} NO_NSEC=YesPlease"
-
-       export MY_MAKEOPTS="${myopts}"
-}
-
-src_unpack() {
-       if [[ ${PV} != *9999 ]]; then
-               unpack ${MY_P}.tar.${SRC_URI_SUFFIX}
-               cd "${S}"
-               unpack ${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-               use doc && \
-                       cd "${S}"/Documentation && \
-                       unpack ${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-               cd "${S}"
-       else
-               git-2_src_unpack
-               cd "${S}"
-               #cp "${FILESDIR}"/GIT-VERSION-GEN .
-       fi
-
-}
-
-src_prepare() {
-       # Noperl is being merged to upstream as of 2009/04/05
-       #epatch "${FILESDIR}"/20090305-git-1.6.2-noperl.patch
-
-       # GetOpt-Long v2.38 is strict
-       # Merged in 1.6.3 final 2009/05/07
-       #epatch "${FILESDIR}"/20090505-git-1.6.2.5-getopt-fixes.patch
-
-       # JS install fixup
-       # Merged in 1.7.5.x
-       #epatch "${FILESDIR}"/git-1.7.2-always-install-js.patch
-
-       # USE=-iconv causes segfaults, fixed post 1.7.1
-       # Gentoo bug #321895
-       #epatch "${FILESDIR}"/git-1.7.1-noiconv-segfault-fix.patch
-
-       # Fix false positives with t3404 due to SHELL=/bin/false for the portage
-       # user.
-       # Merged upstream
-       #epatch "${FILESDIR}"/git-1.7.3.4-avoid-shell-issues.patch
-
-       # bug #350075: t9001: fix missing prereq on some tests
-       # Merged upstream
-       #epatch "${FILESDIR}"/git-1.7.3.4-fix-perl-test-prereq.patch
-
-       # bug #350330 - automagic CVS when we don't want it is bad.
-       epatch "${FILESDIR}"/git-1.7.3.5-optional-cvs.patch
-
-       sed -i \
-               -e 's:^\(CFLAGS =\).*$:\1 $(OPTCFLAGS) -Wall:' \
-               -e 's:^\(LDFLAGS =\).*$:\1 $(OPTLDFLAGS):' \
-               -e 's:^\(CC = \).*$:\1$(OPTCC):' \
-               -e 's:^\(AR = \).*$:\1$(OPTAR):' \
-               -e "s:\(PYTHON_PATH = \)\(.*\)$:\1${EPREFIX}\2:" \
-               -e "s:\(PERL_PATH = \)\(.*\)$:\1${EPREFIX}\2:" \
-               Makefile || die "sed failed"
-
-       # Never install the private copy of Error.pm (bug #296310)
-       sed -i \
-               -e '/private-Error.pm/s,^,#,' \
-               perl/Makefile.PL
-
-       # Fix docbook2texi command
-       sed -i 's/DOCBOOK2X_TEXI=docbook2x-texi/DOCBOOK2X_TEXI=docbook2texi.pl/' \
-               Documentation/Makefile || die "sed failed"
-
-       # bug #318289
-       # Merged upstream
-       #epatch "${FILESDIR}"/git-1.7.3.2-interix.patch
-
-       # merged upstream
-       #epatch "${FILESDIR}"/git-1.7.5-interix.patch
-
-       # merged upstream
-       #epatch "${FILESDIR}"/git-1.7.6-interix.patch
-}
-
-git_emake() {
-       # bug #326625: PERL_PATH, PERL_MM_OPT
-       # bug #320647: PYTHON_PATH
-       PYTHON_PATH=""
-       use python && PYTHON_PATH="$(PYTHON -a)"
-       emake ${MY_MAKEOPTS} \
-               DESTDIR="${D}" \
-               OPTCFLAGS="${CFLAGS}" \
-               OPTLDFLAGS="${LDFLAGS}" \
-               OPTCC="$(tc-getCC)" \
-               OPTAR="$(tc-getAR)" \
-               prefix="${EPREFIX}"/usr \
-               htmldir="${EPREFIX}"/usr/share/doc/${PF}/html \
-               sysconfdir="${EPREFIX}"/etc \
-               PYTHON_PATH="${PYTHON_PATH}" \
-               PERL_MM_OPT="" \
-               GIT_TEST_OPTS="--no-color" \
-               "$@"
-       # This is the fix for bug #326625, but it also causes breakage, see bug
-       # #352693.
-       # PERL_PATH="${EPREFIX}/usr/bin/env perl" \
-}
-
-src_configure() {
-       exportmakeopts
-}
-
-src_compile() {
-       git_emake || die "emake failed"
-
-       if use emacs ; then
-               elisp-compile contrib/emacs/git{,-blame}.el \
-                       || die "emacs modules failed"
-       fi
-
-       if use perl && use cgi ; then
-               git_emake \
-                       gitweb/gitweb.cgi \
-                       || die "emake gitweb/gitweb.cgi failed"
-       fi
-
-       cd "${S}"/Documentation
-       if [[ ${PV} == *9999 ]] ; then
-               git_emake man \
-                       || die "emake man failed"
-               if use doc ; then
-                       git_emake info html \
-                               || die "emake info html failed"
-               fi
-       else
-               if use doc ; then
-                       git_emake info \
-                               || die "emake info html failed"
-               fi
-       fi
-}
-
-src_install() {
-       git_emake \
-               install || \
-               die "make install failed"
-
-       # Depending on the tarball and manual rebuild of the documentation, the
-       # manpages may exist in either OR both of these directories.
-       find man?/*.[157] >/dev/null 2>&1 && doman man?/*.[157]
-       find Documentation/*.[157] >/dev/null 2>&1 && doman Documentation/*.[157]
-
-       dodoc README Documentation/{SubmittingPatches,CodingGuidelines}
-       use doc && dodir /usr/share/doc/${PF}/html
-       for d in / /howto/ /technical/ ; do
-               docinto ${d}
-               dodoc Documentation${d}*.txt
-               use doc && dohtml -p ${d} Documentation${d}*.html
-       done
-       docinto /
-       # Upstream does not ship this pre-built :-(
-       use doc && doinfo Documentation/{git,gitman}.info
-
-       newbashcomp contrib/completion/git-completion.bash ${PN}
-
-       if use emacs ; then
-               elisp-install ${PN} contrib/emacs/git.{el,elc} || die
-               elisp-install ${PN} contrib/emacs/git-blame.{el,elc} || die
-               #elisp-install ${PN}/compat contrib/emacs/vc-git.{el,elc} || die
-               # don't add automatically to the load-path, so the sitefile
-               # can do a conditional loading
-               touch "${ED}${SITELISP}/${PN}/compat/.nosearch"
-               elisp-site-file-install "${FILESDIR}"/${SITEFILE} || die
-       fi
-
-       if use python && use gtk ; then
-               dobin "${S}"/contrib/gitview/gitview
-               python_convert_shebangs ${PYTHON_ABI} "${ED}"/usr/bin/gitview
-               dodoc "${S}"/contrib/gitview/gitview.txt
-       fi
-
-       dobin contrib/fast-import/git-p4
-       dodoc contrib/fast-import/git-p4.txt
-       newbin contrib/fast-import/import-tars.perl import-tars
-       newbin contrib/git-resurrect.sh git-resurrect
-
-       dodir /usr/share/${PN}/contrib
-       # The following are excluded:
-       # completion - installed above
-       # emacs - installed above
-       # examples - these are stuff that is not used in Git anymore actually
-       # gitview - installed above
-       # p4import - excluded because fast-import has a better one
-       # patches - stuff the Git guys made to go upstream to other places
-       # svnimport - use git-svn
-       # thunderbird-patch-inline - fixes thunderbird
-       for i in \
-               blameview buildsystems ciabot continuous convert-objects fast-import \
-               hg-to-git hooks remotes2config.sh remotes2config.sh rerere-train.sh \
-               stats svn-fe vim workdir \
-               ; do
-               cp -rf \
-                       "${S}"/contrib/${i} \
-                       "${ED}"/usr/share/${PN}/contrib \
-                       || die "Failed contrib ${i}"
-       done
-
-       if use perl && use cgi ; then
-               # We used to install in /usr/share/${PN}/gitweb
-               # but upstream installs in /usr/share/gitweb
-               # so we will install a symlink and use their location for compat with other
-               # distros
-               dosym /usr/share/gitweb /usr/share/${PN}/gitweb
-
-               # INSTALL discusses configuration issues, not just installation
-               docinto /
-               newdoc  "${S}"/gitweb/INSTALL INSTALL.gitweb
-               newdoc  "${S}"/gitweb/README README.gitweb
-
-               find "${ED}"/usr/lib64/perl5/ \
-                       -name .packlist \
-                       -exec rm \{\} \;
-       else
-               rm -rf "${ED}"/usr/share/gitweb
-       fi
-
-       if ! use subversion ; then
-               rm -f "${ED}"/usr/libexec/git-core/git-svn \
-                       "${ED}"/usr/share/man/man1/git-svn.1*
-       fi
-
-       if use xinetd ; then
-               insinto /etc/xinetd.d
-               newins "${FILESDIR}"/git-daemon.xinetd git-daemon
-       fi
-
-       newinitd "${FILESDIR}"/git-daemon.initd git-daemon
-       newconfd "${FILESDIR}"/git-daemon.confd git-daemon
-
-       fixlocalpod
-}
-
-src_test() {
-       local disabled=""
-       local tests_cvs="t9200-git-cvsexportcommit.sh \
-                                       t9400-git-cvsserver-server.sh \
-                                       t9401-git-cvsserver-crlf.sh \
-                                       t9600-cvsimport.sh \
-                                       t9601-cvsimport-vendor-branch.sh \
-                                       t9602-cvsimport-branches-tags.sh \
-                                       t9603-cvsimport-patchsets.sh"
-       local tests_perl="t5502-quickfetch.sh \
-                                       t5512-ls-remote.sh \
-                                       t5520-pull.sh"
-       # Bug #225601 - t0004 is not suitable for root perm
-       # Bug #219839 - t1004 is not suitable for root perm
-       # t0001-init.sh - check for init notices EPERM*  fails
-       local tests_nonroot="t0001-init.sh \
-               t0004-unwritable.sh \
-               t0070-fundamental.sh \
-               t1004-read-tree-m-u-wf.sh \
-               t3700-add.sh \
-               t7300-clean.sh"
-
-       # Unzip is used only for the testcase code, not by any normal parts of Git.
-       if ! has_version app-arch/unzip ; then
-               einfo "Disabling tar-tree tests"
-               disabled="${disabled} t5000-tar-tree.sh"
-       fi
-
-       cvs=0
-       use cvs && let cvs=$cvs+1
-       if [[ ${EUID} -eq 0 ]]; then
-               if [[ $cvs -eq 1 ]]; then
-                       ewarn "Skipping CVS tests because CVS does not work as root!"
-                       ewarn "You should retest with FEATURES=userpriv!"
-                       disabled="${disabled} ${tests_cvs}"
-               fi
-               einfo "Skipping other tests that require being non-root"
-               disabled="${disabled} ${tests_nonroot}"
-       else
-               [[ $cvs -gt 0 ]] && \
-                       has_version dev-vcs/cvs && \
-                       let cvs=$cvs+1
-               [[ $cvs -gt 1 ]] && \
-                       built_with_use dev-vcs/cvs server && \
-                       let cvs=$cvs+1
-               if [[ $cvs -lt 3 ]]; then
-                       einfo "Disabling CVS tests (needs dev-vcs/cvs[USE=server])"
-                       disabled="${disabled} ${tests_cvs}"
-               fi
-       fi
-
-       if ! use perl ; then
-               einfo "Disabling tests that need Perl"
-               disabled="${disabled} ${tests_perl}"
-       fi
-
-       # Reset all previously disabled tests
-       cd "${S}/t"
-       for i in *.sh.DISABLED ; do
-               [[ -f "${i}" ]] && mv -f "${i}" "${i%.DISABLED}"
-       done
-       einfo "Disabled tests:"
-       for i in ${disabled} ; do
-               [[ -f "${i}" ]] && mv -f "${i}" "${i}.DISABLED" && einfo "Disabled $i"
-       done
-
-       # Avoid the test system removing the results because we want them ourselves
-       sed -e '/^[[:space:]]*$(MAKE) clean/s,^,#,g' \
-               -i "${S}"/t/Makefile
-
-       # Clean old results first
-       cd "${S}/t"
-       git_emake clean
-
-       # Now run the tests
-       cd "${S}"
-       einfo "Start test run"
-       git_emake test
-       rc=$?
-
-       # Display nice results
-       cd "${S}/t"
-       git_emake aggregate-results
-
-       # And exit
-       [ $rc -eq 0 ] || die "tests failed. Please file a bug."
-}
-
-showpkgdeps() {
-       local pkg=$1
-       shift
-       elog "  $(printf "%-17s:" ${pkg}) ${@}"
-}
-
-pkg_postinst() {
-       use emacs && elisp-site-regen
-       use python && python_mod_optimize git_remote_helpers
-               einfo "Please read /usr/share/bash-completion/git for Git bash completion"
-       elog "These additional scripts need some dependencies:"
-       echo
-       showpkgdeps git-quiltimport "dev-util/quilt"
-       showpkgdeps git-instaweb \
-               "|| ( www-servers/lighttpd www-servers/apache )"
-       echo
-}
-
-pkg_postrm() {
-       use emacs && elisp-site-regen
-       use python && python_mod_cleanup git_remote_helpers
-}
diff --git a/dev-vcs/git/git-1.7.8_rc4.ebuild b/dev-vcs/git/git-1.7.8_rc4.ebuild
deleted file mode 100644 (file)
index 87f8ccd..0000000
+++ /dev/null
@@ -1,527 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/git-1.7.8_rc4.ebuild,v 1.1 2011/11/29 00:20:59 robbat2 Exp $
-
-EAPI=4
-
-GENTOO_DEPEND_ON_PERL=no
-
-# bug #329479: git-remote-testgit is not multiple-version aware
-PYTHON_DEPEND="python? 2"
-[[ ${PV} == *9999 ]] && SCM="git-2"
-EGIT_REPO_URI="git://git.kernel.org/pub/scm/git/git.git"
-
-inherit toolchain-funcs eutils elisp-common perl-module bash-completion-r1 python ${SCM}
-
-MY_PV="${PV/_rc/.rc}"
-MY_P="${PN}-${MY_PV}"
-
-DOC_VER=${MY_PV}
-
-DESCRIPTION="GIT - the stupid content tracker, the revision control system heavily used by the Linux kernel team"
-HOMEPAGE="http://www.git-scm.com/"
-if [[ ${PV} != *9999 ]]; then
-       SRC_URI_SUFFIX="gz"
-       SRC_URI_GOOG="http://git-core.googlecode.com/files"
-       SRC_URI_KORG="mirror://kernel/software/scm/git"
-       SRC_URI="${SRC_URI_GOOG}/${MY_P}.tar.${SRC_URI_SUFFIX}
-                       ${SRC_URI_KORG}/${MY_P}.tar.${SRC_URI_SUFFIX}
-                       ${SRC_URI_GOOG}/${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-                       ${SRC_URI_KORG}/${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-                       doc? (
-                       ${SRC_URI_KORG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-                       ${SRC_URI_GOOG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-                       )"
-       KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-else
-       SRC_URI=""
-       KEYWORDS=""
-fi
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="+blksha1 +curl cgi doc emacs gtk iconv +perl +python ppcsha1 tk +threads +webdav xinetd cvs subversion"
-
-# Common to both DEPEND and RDEPEND
-CDEPEND="
-       !blksha1? ( dev-libs/openssl )
-       sys-libs/zlib
-       perl?   ( dev-lang/perl[-build] dev-libs/libpcre )
-       tk?     ( dev-lang/tk )
-       curl?   (
-               net-misc/curl
-               webdav? ( dev-libs/expat )
-       )
-       emacs?  ( virtual/emacs )"
-
-RDEPEND="${CDEPEND}
-       perl? ( dev-perl/Error
-                       dev-perl/Net-SMTP-SSL
-                       dev-perl/Authen-SASL
-                       cgi? ( virtual/perl-CGI )
-                       cvs? ( >=dev-vcs/cvsps-2.1 dev-perl/DBI dev-perl/DBD-SQLite )
-                       subversion? ( dev-vcs/subversion[-dso,perl] dev-perl/libwww-perl dev-perl/TermReadKey )
-                       )
-       python? ( gtk?
-       (
-               >=dev-python/pygtk-2.8
-               dev-python/pygtksourceview:2
-       ) )"
-
-# This is how info docs are created with Git:
-#   .txt/asciidoc --(asciidoc)---------> .xml/docbook
-#   .xml/docbook  --(docbook2texi.pl)--> .texi
-#   .texi         --(makeinfo)---------> .info
-DEPEND="${CDEPEND}
-       app-arch/cpio
-       doc?    (
-               app-text/asciidoc
-               app-text/docbook2X
-               sys-apps/texinfo
-       )"
-
-# Live ebuild builds man pages and HTML docs, additionally
-if [[ ${PV} == *9999 ]]; then
-       DEPEND="${DEPEND}
-               app-text/asciidoc
-               app-text/xmlto"
-fi
-
-SITEFILE=50${PN}-gentoo.el
-S="${WORKDIR}/${MY_P}"
-
-REQUIRED_USE="
-       cgi? ( perl )
-       cvs? ( perl )
-       subversion? ( perl )
-       webdav? ( curl )
-"
-
-pkg_setup() {
-       if use subversion && has_version dev-vcs/subversion && built_with_use --missing false dev-vcs/subversion dso ; then
-               ewarn "Per Gentoo bugs #223747, #238586, when subversion is built"
-               ewarn "with USE=dso, there may be weird crashes in git-svn. You"
-               ewarn "have been warned."
-       fi
-       if use python ; then
-               python_set_active_version 2
-               python_pkg_setup
-       fi
-}
-
-# This is needed because for some obscure reasons future calls to make don't
-# pick up these exports if we export them in src_unpack()
-exportmakeopts() {
-       local myopts
-
-       if use blksha1 ; then
-               myopts="${myopts} BLK_SHA1=YesPlease"
-       elif use ppcsha1 ; then
-               myopts="${myopts} PPC_SHA1=YesPlease"
-       fi
-
-       if use curl ; then
-               use webdav || myopts="${myopts} NO_EXPAT=YesPlease"
-       else
-               myopts="${myopts} NO_CURL=YesPlease"
-       fi
-
-       # broken assumptions, because of broken build system ...
-       myopts="${myopts} NO_FINK=YesPlease NO_DARWIN_PORTS=YesPlease"
-       myopts="${myopts} INSTALL=install TAR=tar"
-       myopts="${myopts} SHELL_PATH=${EPREFIX}/bin/sh"
-       myopts="${myopts} SANE_TOOL_PATH="
-       myopts="${myopts} OLD_ICONV="
-       myopts="${myopts} NO_EXTERNAL_GREP="
-
-       # can't define this to null, since the entire makefile depends on it
-       sed -i -e '/\/usr\/local/s/BASIC_/#BASIC_/' Makefile
-
-       use iconv \
-               || einfo "Forcing iconv for ${PVR} due to bugs #321895, #322205."
-       #       || myopts="${myopts} NO_ICONV=YesPlease"
-       # because, above, we need to do this unconditionally (no "&& use iconv")
-       use !elibc_glibc && myopts="${myopts} NEEDS_LIBICONV=YesPlease"
-
-       use tk \
-               || myopts="${myopts} NO_TCLTK=YesPlease"
-       use perl \
-               && myopts="${myopts} INSTALLDIRS=vendor USE_LIBPCRE=yes" \
-               || myopts="${myopts} NO_PERL=YesPlease"
-       use python \
-               || myopts="${myopts} NO_PYTHON=YesPlease"
-       use subversion \
-               || myopts="${myopts} NO_SVN_TESTS=YesPlease"
-       use threads \
-               && myopts="${myopts} THREADED_DELTA_SEARCH=YesPlease"
-       use cvs \
-               || myopts="${myopts} NO_CVS=YesPlease"
-# Disabled until ~m68k-mint can be keyworded again
-#      if [[ ${CHOST} == *-mint* ]] ; then
-#              myopts="${myopts} NO_MMAP=YesPlease"
-#              myopts="${myopts} NO_IPV6=YesPlease"
-#              myopts="${myopts} NO_STRLCPY=YesPlease"
-#              myopts="${myopts} NO_MEMMEM=YesPlease"
-#              myopts="${myopts} NO_MKDTEMP=YesPlease"
-#              myopts="${myopts} NO_MKSTEMPS=YesPlease"
-#      fi
-       if [[ ${CHOST} == ia64-*-hpux* ]]; then
-               myopts="${myopts} NO_NSEC=YesPlease"
-       fi
-       if [[ ${CHOST} == *-*-aix* ]]; then
-               myopts="${myopts} NO_FNMATCH_CASEFOLD=YesPlease"
-       fi
-
-       has_version '>=app-text/asciidoc-8.0' \
-               && myopts="${myopts} ASCIIDOC8=YesPlease"
-       myopts="${myopts} ASCIIDOC_NO_ROFF=YesPlease"
-
-       # Bug 290465:
-       # builtin-fetch-pack.c:816: error: 'struct stat' has no member named 'st_mtim'
-       [[ "${CHOST}" == *-uclibc* ]] && \
-               myopts="${myopts} NO_NSEC=YesPlease"
-
-       export MY_MAKEOPTS="${myopts}"
-}
-
-src_unpack() {
-       if [[ ${PV} != *9999 ]]; then
-               unpack ${MY_P}.tar.${SRC_URI_SUFFIX}
-               cd "${S}"
-               unpack ${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-               use doc && \
-                       cd "${S}"/Documentation && \
-                       unpack ${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-               cd "${S}"
-       else
-               git-2_src_unpack
-               cd "${S}"
-               #cp "${FILESDIR}"/GIT-VERSION-GEN .
-       fi
-
-}
-
-src_prepare() {
-       # Noperl is being merged to upstream as of 2009/04/05
-       #epatch "${FILESDIR}"/20090305-git-1.6.2-noperl.patch
-
-       # GetOpt-Long v2.38 is strict
-       # Merged in 1.6.3 final 2009/05/07
-       #epatch "${FILESDIR}"/20090505-git-1.6.2.5-getopt-fixes.patch
-
-       # JS install fixup
-       # Merged in 1.7.5.x
-       #epatch "${FILESDIR}"/git-1.7.2-always-install-js.patch
-
-       # USE=-iconv causes segfaults, fixed post 1.7.1
-       # Gentoo bug #321895
-       #epatch "${FILESDIR}"/git-1.7.1-noiconv-segfault-fix.patch
-
-       # Fix false positives with t3404 due to SHELL=/bin/false for the portage
-       # user.
-       # Merged upstream
-       #epatch "${FILESDIR}"/git-1.7.3.4-avoid-shell-issues.patch
-
-       # bug #350075: t9001: fix missing prereq on some tests
-       # Merged upstream
-       #epatch "${FILESDIR}"/git-1.7.3.4-fix-perl-test-prereq.patch
-
-       # bug #350330 - automagic CVS when we don't want it is bad.
-       epatch "${FILESDIR}"/git-1.7.3.5-optional-cvs.patch
-
-       sed -i \
-               -e 's:^\(CFLAGS =\).*$:\1 $(OPTCFLAGS) -Wall:' \
-               -e 's:^\(LDFLAGS =\).*$:\1 $(OPTLDFLAGS):' \
-               -e 's:^\(CC = \).*$:\1$(OPTCC):' \
-               -e 's:^\(AR = \).*$:\1$(OPTAR):' \
-               -e "s:\(PYTHON_PATH = \)\(.*\)$:\1${EPREFIX}\2:" \
-               -e "s:\(PERL_PATH = \)\(.*\)$:\1${EPREFIX}\2:" \
-               Makefile || die "sed failed"
-
-       # Never install the private copy of Error.pm (bug #296310)
-       sed -i \
-               -e '/private-Error.pm/s,^,#,' \
-               perl/Makefile.PL
-
-       # Fix docbook2texi command
-       sed -i 's/DOCBOOK2X_TEXI=docbook2x-texi/DOCBOOK2X_TEXI=docbook2texi.pl/' \
-               Documentation/Makefile || die "sed failed"
-
-       # bug #318289
-       # Merged upstream
-       #epatch "${FILESDIR}"/git-1.7.3.2-interix.patch
-
-       # merged upstream
-       #epatch "${FILESDIR}"/git-1.7.5-interix.patch
-
-       # merged upstream
-       #epatch "${FILESDIR}"/git-1.7.6-interix.patch
-}
-
-git_emake() {
-       # bug #326625: PERL_PATH, PERL_MM_OPT
-       # bug #320647: PYTHON_PATH
-       PYTHON_PATH=""
-       use python && PYTHON_PATH="$(PYTHON -a)"
-       emake ${MY_MAKEOPTS} \
-               DESTDIR="${D}" \
-               OPTCFLAGS="${CFLAGS}" \
-               OPTLDFLAGS="${LDFLAGS}" \
-               OPTCC="$(tc-getCC)" \
-               OPTAR="$(tc-getAR)" \
-               prefix="${EPREFIX}"/usr \
-               htmldir="${EPREFIX}"/usr/share/doc/${PF}/html \
-               sysconfdir="${EPREFIX}"/etc \
-               PYTHON_PATH="${PYTHON_PATH}" \
-               PERL_MM_OPT="" \
-               GIT_TEST_OPTS="--no-color" \
-               "$@"
-       # This is the fix for bug #326625, but it also causes breakage, see bug
-       # #352693.
-       # PERL_PATH="${EPREFIX}/usr/bin/env perl" \
-}
-
-src_configure() {
-       exportmakeopts
-}
-
-src_compile() {
-       git_emake || die "emake failed"
-
-       if use emacs ; then
-               elisp-compile contrib/emacs/git{,-blame}.el \
-                       || die "emacs modules failed"
-       fi
-
-       if use perl && use cgi ; then
-               git_emake \
-                       gitweb/gitweb.cgi \
-                       || die "emake gitweb/gitweb.cgi failed"
-       fi
-
-       cd "${S}"/Documentation
-       if [[ ${PV} == *9999 ]] ; then
-               git_emake man \
-                       || die "emake man failed"
-               if use doc ; then
-                       git_emake info html \
-                               || die "emake info html failed"
-               fi
-       else
-               if use doc ; then
-                       git_emake info \
-                               || die "emake info html failed"
-               fi
-       fi
-}
-
-src_install() {
-       git_emake \
-               install || \
-               die "make install failed"
-
-       # Depending on the tarball and manual rebuild of the documentation, the
-       # manpages may exist in either OR both of these directories.
-       find man?/*.[157] >/dev/null 2>&1 && doman man?/*.[157]
-       find Documentation/*.[157] >/dev/null 2>&1 && doman Documentation/*.[157]
-
-       dodoc README Documentation/{SubmittingPatches,CodingGuidelines}
-       use doc && dodir /usr/share/doc/${PF}/html
-       for d in / /howto/ /technical/ ; do
-               docinto ${d}
-               dodoc Documentation${d}*.txt
-               use doc && dohtml -p ${d} Documentation${d}*.html
-       done
-       docinto /
-       # Upstream does not ship this pre-built :-(
-       use doc && doinfo Documentation/{git,gitman}.info
-
-       newbashcomp contrib/completion/git-completion.bash ${PN}
-
-       if use emacs ; then
-               elisp-install ${PN} contrib/emacs/git.{el,elc} || die
-               elisp-install ${PN} contrib/emacs/git-blame.{el,elc} || die
-               #elisp-install ${PN}/compat contrib/emacs/vc-git.{el,elc} || die
-               # don't add automatically to the load-path, so the sitefile
-               # can do a conditional loading
-               touch "${ED}${SITELISP}/${PN}/compat/.nosearch"
-               elisp-site-file-install "${FILESDIR}"/${SITEFILE} || die
-       fi
-
-       if use python && use gtk ; then
-               dobin "${S}"/contrib/gitview/gitview
-               python_convert_shebangs ${PYTHON_ABI} "${ED}"/usr/bin/gitview
-               dodoc "${S}"/contrib/gitview/gitview.txt
-       fi
-
-       dobin contrib/fast-import/git-p4
-       dodoc contrib/fast-import/git-p4.txt
-       newbin contrib/fast-import/import-tars.perl import-tars
-       newbin contrib/git-resurrect.sh git-resurrect
-
-       dodir /usr/share/${PN}/contrib
-       # The following are excluded:
-       # completion - installed above
-       # emacs - installed above
-       # examples - these are stuff that is not used in Git anymore actually
-       # gitview - installed above
-       # p4import - excluded because fast-import has a better one
-       # patches - stuff the Git guys made to go upstream to other places
-       # svnimport - use git-svn
-       # thunderbird-patch-inline - fixes thunderbird
-       for i in \
-               blameview buildsystems ciabot continuous convert-objects fast-import \
-               hg-to-git hooks remotes2config.sh remotes2config.sh rerere-train.sh \
-               stats svn-fe vim workdir \
-               ; do
-               cp -rf \
-                       "${S}"/contrib/${i} \
-                       "${ED}"/usr/share/${PN}/contrib \
-                       || die "Failed contrib ${i}"
-       done
-
-       if use perl && use cgi ; then
-               # We used to install in /usr/share/${PN}/gitweb
-               # but upstream installs in /usr/share/gitweb
-               # so we will install a symlink and use their location for compat with other
-               # distros
-               dosym /usr/share/gitweb /usr/share/${PN}/gitweb
-
-               # INSTALL discusses configuration issues, not just installation
-               docinto /
-               newdoc  "${S}"/gitweb/INSTALL INSTALL.gitweb
-               newdoc  "${S}"/gitweb/README README.gitweb
-
-               find "${ED}"/usr/lib64/perl5/ \
-                       -name .packlist \
-                       -exec rm \{\} \;
-       else
-               rm -rf "${ED}"/usr/share/gitweb
-       fi
-
-       if ! use subversion ; then
-               rm -f "${ED}"/usr/libexec/git-core/git-svn \
-                       "${ED}"/usr/share/man/man1/git-svn.1*
-       fi
-
-       if use xinetd ; then
-               insinto /etc/xinetd.d
-               newins "${FILESDIR}"/git-daemon.xinetd git-daemon
-       fi
-
-       newinitd "${FILESDIR}"/git-daemon.initd git-daemon
-       newconfd "${FILESDIR}"/git-daemon.confd git-daemon
-
-       fixlocalpod
-}
-
-src_test() {
-       local disabled=""
-       local tests_cvs="t9200-git-cvsexportcommit.sh \
-                                       t9400-git-cvsserver-server.sh \
-                                       t9401-git-cvsserver-crlf.sh \
-                                       t9600-cvsimport.sh \
-                                       t9601-cvsimport-vendor-branch.sh \
-                                       t9602-cvsimport-branches-tags.sh \
-                                       t9603-cvsimport-patchsets.sh"
-       local tests_perl="t5502-quickfetch.sh \
-                                       t5512-ls-remote.sh \
-                                       t5520-pull.sh"
-       # Bug #225601 - t0004 is not suitable for root perm
-       # Bug #219839 - t1004 is not suitable for root perm
-       # t0001-init.sh - check for init notices EPERM*  fails
-       local tests_nonroot="t0001-init.sh \
-               t0004-unwritable.sh \
-               t0070-fundamental.sh \
-               t1004-read-tree-m-u-wf.sh \
-               t3700-add.sh \
-               t7300-clean.sh"
-
-       # Unzip is used only for the testcase code, not by any normal parts of Git.
-       if ! has_version app-arch/unzip ; then
-               einfo "Disabling tar-tree tests"
-               disabled="${disabled} t5000-tar-tree.sh"
-       fi
-
-       cvs=0
-       use cvs && let cvs=$cvs+1
-       if [[ ${EUID} -eq 0 ]]; then
-               if [[ $cvs -eq 1 ]]; then
-                       ewarn "Skipping CVS tests because CVS does not work as root!"
-                       ewarn "You should retest with FEATURES=userpriv!"
-                       disabled="${disabled} ${tests_cvs}"
-               fi
-               einfo "Skipping other tests that require being non-root"
-               disabled="${disabled} ${tests_nonroot}"
-       else
-               [[ $cvs -gt 0 ]] && \
-                       has_version dev-vcs/cvs && \
-                       let cvs=$cvs+1
-               [[ $cvs -gt 1 ]] && \
-                       built_with_use dev-vcs/cvs server && \
-                       let cvs=$cvs+1
-               if [[ $cvs -lt 3 ]]; then
-                       einfo "Disabling CVS tests (needs dev-vcs/cvs[USE=server])"
-                       disabled="${disabled} ${tests_cvs}"
-               fi
-       fi
-
-       if ! use perl ; then
-               einfo "Disabling tests that need Perl"
-               disabled="${disabled} ${tests_perl}"
-       fi
-
-       # Reset all previously disabled tests
-       cd "${S}/t"
-       for i in *.sh.DISABLED ; do
-               [[ -f "${i}" ]] && mv -f "${i}" "${i%.DISABLED}"
-       done
-       einfo "Disabled tests:"
-       for i in ${disabled} ; do
-               [[ -f "${i}" ]] && mv -f "${i}" "${i}.DISABLED" && einfo "Disabled $i"
-       done
-
-       # Avoid the test system removing the results because we want them ourselves
-       sed -e '/^[[:space:]]*$(MAKE) clean/s,^,#,g' \
-               -i "${S}"/t/Makefile
-
-       # Clean old results first
-       cd "${S}/t"
-       git_emake clean
-
-       # Now run the tests
-       cd "${S}"
-       einfo "Start test run"
-       git_emake test
-       rc=$?
-
-       # Display nice results
-       cd "${S}/t"
-       git_emake aggregate-results
-
-       # And exit
-       [ $rc -eq 0 ] || die "tests failed. Please file a bug."
-}
-
-showpkgdeps() {
-       local pkg=$1
-       shift
-       elog "  $(printf "%-17s:" ${pkg}) ${@}"
-}
-
-pkg_postinst() {
-       use emacs && elisp-site-regen
-       use python && python_mod_optimize git_remote_helpers
-               einfo "Please read /usr/share/bash-completion/git for Git bash completion"
-       elog "These additional scripts need some dependencies:"
-       echo
-       showpkgdeps git-quiltimport "dev-util/quilt"
-       showpkgdeps git-instaweb \
-               "|| ( www-servers/lighttpd www-servers/apache )"
-       echo
-}
-
-pkg_postrm() {
-       use emacs && elisp-site-regen
-       use python && python_mod_cleanup git_remote_helpers
-}